Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.deployment
Class RepositoryListener

    java.lang.Object
      org.apache.axis2.deployment.RepositoryListener

All Implemented Interfaces:
  DeploymentConstants

    public class RepositoryListener

extends java.lang.Object
implements DeploymentConstants

Field Summary
`protected DeploymentEngine` | `deploymentEngine`
`protected static org.apache.commons.logging.Log` | `log`
`protected WSInfoList` | `wsInfoList` Reference to a WSInfoList

Fields inherited from interface org.apache.axis2.deployment.DeploymentConstants
`ATTACHMENTS_LIFECYCLE_MANAGER, ATTRIBUTE_ACTIVATE, ATTRIBUTE_CLASS, ATTRIBUTE_DEFAULT_VERSION, ATTRIBUTE_LOCKED, ATTRIBUTE_NAME, ATTRIBUTE_NAMESPACE, ATTRIBUTE_PACKAGE, ATTRIBUTE_SCOPE, ATTRIBUTE_WSADDRESSING, AXIS2_CONFIGURATION_RESOURCE, AXIS2_CONFIGURATION_XML, AXIS2_REPO, BOOLEAN_FALSE, BOOLEAN_TRUE, DEPLOYER, DIRECTORY, DIRECTORY_AXIS2_HOME, DIRECTORY_CONF, EXTENSION, MAPPING, META_INF, MODULE_DRI_PATH, MODULE_PATH, MODULE_XML, POLICY_NS_URI, PROPERTY_TEMP_DIR, RESOURCE_MODULES, SCHEMA, SCHEMA_ELEMENT_QUALIFIED, SCHEMA_NAME_SPACE, SEPARATOR_COLON, SEPARATOR_DOT, SERVICE_DIR_PATH, SERVICE_PATH, SERVICES_XML, SUFFIX_JAR, SUFFIX_MAR, SUFFIX_WSDL, TAG_AFTER, TAG_ALLOWOVERRIDE, TAG_ANTI_JAR_LOCKING, TAG_APPLIES_TO, TAG_AXISCONFIG, TAG_BEFORE, TAG_CLASS_NAME, TAG_CLUSTER, TAG_CONTENT_TYPE, TAG_CONTEXT, TAG_DEFAULT_MODULE_VERSION, TAG_DEFAULTS, TAG_DESCRIPTION, TAG_DISPATCH_ORDER, TAG_DISPATCHER, TAG_EXCLUDE, TAG_EXCLUDE_OPERATIONS, TAG_EXCLUDE_PROPERTIES, TAG_EXPOSE, TAG_EXTRACT_SERVICE_ARCHIVE, TAG_FLOW_IN, TAG_FLOW_IN_FAULT, TAG_FLOW_OUT, TAG_FLOW_OUT_FAULT, TAG_HANDLER, TAG_HOT_DEPLOYMENT, TAG_HOT_UPDATE, TAG_INCLUDE_PROPERTIES, TAG_LABEL, TAG_LIST_ID, TAG_LISTENER, TAG_MAPPING, TAG_MEP, TAG_MESSAGE, TAG_MESSAGE_BUILDER, TAG_MESSAGE_BUILDERS, TAG_MESSAGE_FORMATTER, TAG_MESSAGE_FORMATTERS, TAG_MESSAGE_RECEIVER, TAG_MESSAGE_RECEIVERS, TAG_MODULE, TAG_MODULE_CONFIG, TAG_NAMESPACES, TAG_NODE_MANAGER, TAG_OBJECT_SUPPLIER, TAG_OPERATION, TAG_ORDER, TAG_PACKAGE_NAME, TAG_PACKAGE2QNAME, TAG_PARAMETER, TAG_PHASE, TAG_PHASE_FIRST, TAG_PHASE_LAST, TAG_PHASE_ORDER, TAG_POLICY, TAG_POLICY_ATTACHMENT, TAG_POLICY_REF, TAG_QNAME, TAG_REFERENCE, TAG_REPLICATION, TAG_SERVICE, TAG_SERVICE_GROUP, TAG_STATE_MANAGER, TAG_SUPPORTED_POLICY_NAMESPACES, TAG_TARGET_RESOLVER, TAG_TARGET_RESOLVERS, TAG_THREAD_CONTEXT_MIGRATOR, TAG_THREAD_CONTEXT_MIGRATORS, TAG_TIMEOUT, TAG_TRANSACTION, TAG_TRANSACTION_CONFIGURATION_CLASS, TAG_TRANSPORT, TAG_TRANSPORT_RECEIVER, TAG_TRANSPORT_SENDER, TAG_TRANSPORTS, TAG_TYPE, TARGET_NAME_SPACE`

Constructor Summary
`RepositoryListener(DeploymentEngine deploymentEngine, boolean isClasspath)` This constructor takes two arguments, a folder name and a reference to Deployment Engine First, it initializes the system, by loading all the modules in the /modules directory and then creates a WSInfoList to store information about available modules and services.

Method Summary
`void` | `addFileToDeploy(java.io.File file, Deployer deployer, int type)`
`void` | `checkModules()` Finds a list of modules in the folder and adds to wsInfoList.
`void` | `checkServices()` Finds a list of services in the folder and adds to wsInfoList.
`protected void` | `findServicesInDirectory(java.io.File root)` Searches a given folder for aar files and adds them to a list in the WSInfolist class.
`protected java.lang.String` | `getLocation()` To get the location of the Axis2.jar from that I can drive the location of class path
`void` | `init()` First initializes the WSInfoList, then calls checkModule to load all the modules and calls update() to update the Deployment engine and engine registry.
`void` | `init2(boolean isClasspath)`
`protected boolean` | `isSourceControlDir(java.io.File file)`
`protected void` | `loadClassPathModules()`
`void` | `startListener()` Method invoked from the scheduler to start the listener.
`void` | `update()` Updates WSInfoList object.
`void` | `updateRemote()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final org.apache.commons.logging.Log log

### deploymentEngine

    protected DeploymentEngine deploymentEngine

### wsInfoList

    protected WSInfoList wsInfoList

  Reference to a WSInfoList

Constructor Detail

### RepositoryListener

    public RepositoryListener(DeploymentEngine deploymentEngine,
                              boolean isClasspath)

  This constructor takes two arguments, a folder name and a reference to Deployment Engine First, it initializes the system, by loading all the modules in the /modules directory and then creates a WSInfoList to store information about available modules and services.

  Parameters:
    `deploymentEngine` - reference to engine registry for updates
    `isClasspath` - true if this RepositoryListener should scan the classpath for Modules

Method Detail

### init2

    public void init2(boolean isClasspath)

### checkModules

    public void checkModules()

  Finds a list of modules in the folder and adds to wsInfoList.

### isSourceControlDir

    protected boolean isSourceControlDir(java.io.File file)

### loadClassPathModules

    protected void loadClassPathModules()

### getLocation

    protected java.lang.String getLocation()

  To get the location of the Axis2.jar from that I can drive the location of class path

  Returns:
    String (location of the axis2 jar)

### checkServices

    public void checkServices()

  Finds a list of services in the folder and adds to wsInfoList.

### init

    public void init()

  First initializes the WSInfoList, then calls checkModule to load all the modules and calls update() to update the Deployment engine and engine registry.

### findServicesInDirectory

    protected void findServicesInDirectory(java.io.File root)

  Searches a given folder for aar files and adds them to a list in the WSInfolist class. If sub folders found, those are also searched for services. Ex : repository/services/foo/1.0.0/echo.aar repository/services/foo/1.0.1/echo.aar repository/services/echo.aar

  Parameters:
    `root` - - directory from which we start searching for services

### startListener

    public void startListener()

  Method invoked from the scheduler to start the listener.

### update

    public void update()

  Updates WSInfoList object.

### updateRemote

    public void updateRemote()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### addFileToDeploy

    public void addFileToDeploy(java.io.File file,
                                Deployer deployer,
                                int type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.